: Class TreePath

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class TreePath

    java.lang.Object
      |
      +--grendel.widgets.TreePath

public class TreePath
extends java.lang.Object

Object that represents the path through a tree to a node. Provides equals and hash methods to ensure expected behaviors.

Constructor Summary
`TreePath(java.lang.Object[] aPath)` Constructs a TreePath from an array of nodes
`TreePath(java.util.Vector aPath)` Constructs a TreePath from a Vector of nodes

Method Summary
`boolean` | `equals(java.lang.Object aObject)` Overloaded so that different objects with same contents are considered equal.
`int` | `getLength()` Returns the length of the path
`java.lang.Object[]` | `getPath()` Returns the tree path associated with this object.
`java.lang.Object` | `getTip()` Returns the last node in the path
`int` | `hashCode()` Overloaded so different objects with the same contents hash to the same value

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreePath

    public TreePath(java.lang.Object[] aPath)

  Constructs a TreePath from an array of nodes

### TreePath

    public TreePath(java.util.Vector aPath)

  Constructs a TreePath from a Vector of nodes

Method Detail

### getPath

    public java.lang.Object[] getPath()

  Returns the tree path associated with this object.

### getTip

    public java.lang.Object getTip()

  Returns the last node in the path

### getLength

    public int getLength()

  Returns the length of the path

### equals

    public boolean equals(java.lang.Object aObject)

  Overloaded so that different objects with same contents are considered equal.
  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overloaded so different objects with the same contents hash to the same value
  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD